Update Integration Details

Updates integration configuration parameters such as integration name, container name, and connection string.

PUT /partner-integration/{productID}/integration

Where 'id' is integration Id provided by Qualys to the customer.

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

integrationType Mandatory String Type of integration. For this API, use azure_storage_blob.

containerName

Mandatory

Text

Name of the container where a customer needs PC data.

connectionString

Mandatory

String

Connection string, which is needed to post data to Azure Storage Blob.

SampleSample

API Request

"curl -X PUT""qualyspublichost/partner-integration/{productID}/integration""-H""Authorization: Bearer <token>"	  

Request Body

{
   "integrationType": "azure_storage_blob",
   "containerName":"qualys-pc-data",
   "connectionString":"sampleBlobEndpoint"
}	  
	  

Response

{
   "message":"Integration updated successfully."
}